Bug 1808118 - Image Registry Operator Log Level Cannot Be Changed
Summary: Image Registry Operator Log Level Cannot Be Changed
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.1.z
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.0
Assignee: Ricardo Maraschini
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-27 20:39 UTC by Adam Kaplan
Modified: 2020-09-21 08:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Allow users to set log level separately for image registry operator and operand. Reason: Users could not set log levels for the operator in case of debug needs. Result: Users can now set log levels seprately using two distinct fields: - LogLevel (applies to the operand) - OperatorLogLevel (applies to the operator)
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift api pull 640 None closed Bug 1808118: Add OperatorSpec object to image registry config 2020-09-18 08:47:49 UTC
Github openshift api pull 726 None closed Bug 1808118: Migrating imageregistry to extensions v1 2020-09-18 08:47:49 UTC
Github openshift api pull 727 None closed Bug 1808118: Making logging parameter optional 2020-09-18 08:47:49 UTC
Github openshift cluster-image-registry-operator pull 602 None closed Bug 1808118: Implemented operator log level controller 2020-09-18 08:47:49 UTC

Description Adam Kaplan 2020-02-27 20:39:41 UTC
Description of problem:

The log level for the image registry operator is static and set at a relatively high level (0). This cannot be changed without using a CVO override [1] or scaling the CVO deployment to 0.


Version-Release number of selected component (if applicable): 4.1.0


How reproducible: Always


Steps to Reproduce:
1. Increase the log Level of the image registry operator config to 5 (i.e. debug)
2. Tail the logs of the cluster image registry operator

Actual results:

Only high level info logs, warnings, and errors are logged


Expected results:

Debug messages are logged.


Additional info:

[1] https://github.com/openshift/cluster-version-operator/blob/master/docs/dev/clusterversion.md#setting-objects-unmanaged

Comment 2 Ricardo Maraschini 2020-05-26 15:02:23 UTC
After some discussions we have decided to move this to the next version. We have been living with this behavior for a while and to introduce a fix for it in 4.5 involve risks we are not willing to take so close to code freeze. This one requires changes on openshift/api as well as in image registry operator, we have to be careful with how we gonna tackle backward compatibility and that increases the risk.

Comment 6 Ricardo Maraschini 2020-08-21 12:35:07 UTC
Fix for this one is awaiting for review/approval.

Comment 9 Wenjing Zheng 2020-09-11 10:20:04 UTC
QE can see image registry to debug log level on 4.6.0-0.nightly-2020-09-10-195619.


Note You need to log in before you can comment on or make changes to this bug.